import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增订单发票
    addorderInvoice(data) {
        return request({
            url: '/order/invoice',
            method: 'post',
            data
        })
    },
    //修改订单发票
    editorderInvoice(data) {
        return request({
            url: '/order/invoice/edit',
            method: 'post',
            data
        })
    },
    //查询订单发票列表
    inquireorderInvoiceList(data) {
        return request({
            url: '/order/invoice/list',
            method: 'get',
            params: data
        })
    },
    //获取订单发票详细信息
    obtainorderInvoice(data) {
        return request({
            url: `/order/invoice/` + data,
            method: 'get',
        })
    },
    //发票识别
    editvatInvoiceOCR(data) {
        return request({
            url: '/order/invoice/vatInvoiceOCR',
            method: 'post',
            data
        })
    },
}